SxcFilter (Mule ESB 2.2.1 API)
Keywords: org.mule.module.sxc.SxcFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.sxc
Class SxcFilter

    java.lang.Object
      org.mule.module.sxc.SxcFilter

All Implemented Interfaces:
  Filter

    public class SxcFilter

extends Object
implements Filter

Field Summary
`protected Log` | `logger`

Constructor Summary
`SxcFilter()`
`SxcFilter(String pattern)`

Method Summary
`boolean` | `accept(MuleMessage obj)` Check a given message against this filter.
`void` | `addEventHandler(SxcFilteringOutboundRouter router, com.envoisolutions.sxc.xpath.XPathBuilder builder)`
`boolean` | `equals(Object obj)`
`String` | `getPattern()`
`int` | `hashCode()`
`void` | `setPattern(String pattern)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

Constructor Detail

### SxcFilter

    public SxcFilter()

### SxcFilter

    public SxcFilter(String pattern)

Method Detail

### accept

    public boolean accept(MuleMessage obj)

  Description copied from interface: `Filter`
  Check a given message against this filter.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `obj` - a non null message to filter.
  Returns:
    `true` if the message matches the filter

### getPattern

    public String getPattern()

  Returns:
    XPath expression

### setPattern

    public void setPattern(String pattern)

  Parameters:
    `pattern` - The XPath expression

### addEventHandler

    public void addEventHandler(SxcFilteringOutboundRouter router,
                                com.envoisolutions.sxc.xpath.XPathBuilder builder)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.